storm-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Florian Hussonnois <fhussonn...@gmail.com>
Subject Re: storm cassandra integration
Date Tue, 08 Dec 2015 13:56:49 GMT
Hi Crina,

You can fork the external storm-cassandra from master branch. This module
should be compatible from storm version 0.9.5 to 0.11.
The actual fluent API is not stable and will be deprecated so you should
directly use this following class :

https://github.com/apache/storm/blob/master/external/storm-cassandra/src/main/java/org/apache/storm/cassandra/bolt/BaseCassandraBolt.java



2015-12-08 14:47 GMT+01:00 Crina Arsenie <arsenie.crina@gmail.com>:

> Hello,
>
>
>
> I was planning to integrate Cassandra with a storm project I am working
> on. I am using the latest version of storm (stable 0.10). But then, I
> researched and the component storm-cassandra from external composites of
> storm is available only starting the master branch of github so not with
> this version.
>
>
> Therefore, I tried to search for a storm-cassandra component before and I
> found the https://github.com/hmsonline/storm-cassandra
> <https://github.com/hmsonline/storm-cassandra%200.3.1>(latest stable
> 0.3.1). Then I had problems using this as it does not use the latest
> version of storm (but old 0.8.1 one), neither of Cassandra (1.1.2 instead
> of current 2.2.3), and the worst part that gave me headache before
> understanding the errors I had when integrating this was that it was
> compiled under java 1.6!
>
> So my question is if do you think I can find at this current state a
> proper way to integrate Cassandra bolts ?
>
>
> Thank you in advance for your help.
>
> Crina
>
>


-- 
Florian HUSSONNOIS

Mime
View raw message